﻿using System;
using Wisej.Web;

namespace Wisej.ClientFileSystem
{
	public partial class MyDesktop : Desktop
	{
		public MyDesktop()
		{
			InitializeComponent();
		}

        private void MyDesktop_Load(object sender, EventArgs e)
        {
            this.listView1.Items.Add(new ListViewItem() { Text = "Explorer", Tag = typeof(FileExplorer),ImageIndex = 0,RowSpan=2,ColSpan=2, });
            this.listView1.Items.Add(new ListViewItem() { Text = "Code Editor", Tag = typeof(CodeEditor), ImageIndex = 1,RowSpan=2,ColSpan=2, });
            this.listView1.Items.Add(new ListViewItem() { Text = "Image Viewer", Tag = typeof(ImageViewer), ImageIndex = 3,RowSpan=2,ColSpan=2, });
            this.listView1.Items.Add(new ListViewItem() { Text = "Info", Tag = typeof(Info), ImageIndex = 2, RowSpan = 2, ColSpan = 2 });
        }


        private void label1_DoubleClick(object sender, EventArgs e)
        {
            new CodeEditor().Show();
        }

        private void listView1_ItemDoubleClick(object sender, ItemClickEventArgs e)
        {
            var obj = Activator.CreateInstance((Type)e.Item.Tag);
            var window = (Form)obj;
            window.Show();
        }
    }
}
